// This file was autogenerated. Do not edit it manually.
## Device List
### phoenix_bec 
| Device | Documentation | Module |
| :----- | :------------- | :------ |
| Dummy_PSIDetector | <br>    Abstract base class for SLS detectors<br><br>    Class attributes:<br>        custom_prepare_cls (object): class for custom prepare logic (BL specific)<br><br>    Args:<br>        prefix (str): EPICS PV prefix for component (optional)<br>        name (str): name of the device, as will be reported via read()<br>        kind (str): member of class 'ophydobj.Kind', defaults to Kind.normal<br>                    omitted -> reado_PSIDetectorBase<br>     | [phoenix_bec.devices.dummy_devices](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/dummy_devices.py) |
| EpicsDXPFalcon | <br>    DXP parameters for Falcon detector<br><br>    Base class to map EPICS PVs from DXP parameters to ophyd signals.<br>     | [phoenix_bec.devices.falcon_phoenix_no_hdf5](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/falcon_phoenix_no_hdf5.py) |
| EpicsDXPXMAP | <br>    DXP parameters for XMAP detector<br><br>    Base class to map EPICS PVs from DXP parameters to ophyd signals.<br>     | [phoenix_bec.devices.xmap_phoenix_no_hdf5](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/xmap_phoenix_no_hdf5.py) |
| EpicsMCARecordExtended |  | [phoenix_bec.devices.falcon_phoenix](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/falcon_phoenix.py) |
| FalconcSAXS | <br>    Falcon Sitoro detector for CSAXS<br><br>    Parent class: PSIDetectorBase<br><br>    class attributes:<br>        custom_prepare_cls (FalconSetup)        : Custom detector setup class for cSAXS,<br>                                                  inherits from CustomDetectorMixin<br>        PSIDetectorBase.set_min_readout (float) : Minimum readout time for the detector<br>        dxp (EpicsDXPFalcon)                    : DXP parameters for Falcon detector<br>        mca (EpicsMCARecord)                    : MCA parameters for Falcon detector<br>        hdf5 (FalconHDF5Plugins)                : HDF5 parameters for Falcon detector<br>        MIN_READOUT (float)                     : Minimum readout time for the detector<br>     | [phoenix_bec.devices.falcon_csaxs_original](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/falcon_csaxs_original.py) |
| FalconHDF5Plugins | <br>    HDF5 parameters for Falcon detector<br><br>    Base class to map EPICS PVs from HDF5 Plugin to ophyd signals.<br>     | [phoenix_bec.devices.falcon_phoenix_no_hdf5](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/falcon_phoenix_no_hdf5.py) |
| FalconPhoenix | <br>    Falcon detector for phoenix<br>        custom_prepare_cls (XMAPSetu<br>        custom_prepare_cls (XMAPSetup)        : Custom detector setup class for cSAXS,<br>                                                  inherits from CustomDetectorMixin<br>                                                  in __init__ of PSIDetecor base<br>        PSIDetectorBase.set_min_readout (float) : Minimum readout time for the detector<br>        dxp (EpicsDXPXMAP)                    : DXP parameters for XMAP detector<br>        mca (EpicsMCARecord)                    : MCA parameters for XMAP detector<br>        hdf5 (XMAPHDF5Plugins)                : HDF5 parameters for XMAP detector<br>        MIN_READOUT (float)                     : Minimum readout time for the detector<br>     | [phoenix_bec.devices.falcon_phoenix_no_hdf5](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/falcon_phoenix_no_hdf5.py) |
| PhoenixTrigger | <br>    Class for PHOENIX TTL hardware trigger: 'X07MB-OP2:'<br><br>    This device is used to trigger communicate with an ADC card<br>    that creates TTL signals to trigger cameras and detectors at Phoenix.<br><br>     | [phoenix_bec.devices.phoenix_trigger](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/phoenix_trigger.py) |
| ROI |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsDXP | All high-level DXP parameters for each channel | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsDXP_OLD | <br>    DXP parameters for Sitoro detector<br><br>    Base class to map EPICS PVs from DXP parameters to ophyd signals.<br>     | [phoenix_bec.devices.sitoro_phoenix](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro_phoenix.py) |
| SitoroEpicsDXPBaseSystem |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsDXPLowLevel |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsDXPLowLevelParameter |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsDXPMapping |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsDXPMultiElementSystem |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsMCA | mca records with extras from mca.db | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsMCACallback | Callback-related signals for MCA devices | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsMCAReadNotify | mca record with extras from mcaReadNotify.db | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsMCARecord | SynApps MCA Record interface | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroEpicsMCARecordExtended_OLD |  | [phoenix_bec.devices.sitoro_phoenix](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro_phoenix.py) |
| SitoroHDF5Plugins | <br>    HDF5 parameters for Sitoro detector<br><br>    Base class to map EPICS PVs from HDF5 Plugin to ophyd signals.<br>     | [phoenix_bec.devices.sitoro_phoenix](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro_phoenix.py) |
| SitoroPhoenix | <br>    Sitoro Sitoro detector for Phoenix<br><br><br>    Parent class: PSIDetectorBase<br><br>    class attributes:<br>        custom_prepare_cls (SitoroSetup)        : Custom detector setup class,<br>                                                  inherits from CustomDetectorMixin<br><br>        PSIDetectorBase.set_min_readout (float) : Minimum readout time for the detector<br>        dxp1, .. dxpi, .. , dxpN (SitoroEpicsDXP)         : DXP parameters for Sitoro detector Nr i<br>        mca1, .. mcai, .. , mcaN (SitoroEpicsMCARecord)   : MCA parameters for Sitoro detector Nr i<br><br>        hdf5 (SitoroHDF5Plugins)                : HDF5 parameters for Sitoro detector<br>        MIN_READOUT (float)                     : Minimum readout time for the detector<br><br><br><br>     | [phoenix_bec.devices.sitoro_phoenix](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro_phoenix.py) |
| SitoroSoftDXPTrigger | Simple soft trigger for DXP devices<br><br>    Parameters<br>    ----------<br>    count_signal : str, optional<br>        Signal to set acquisition time (default: 'preset_real_time')<br>    preset_mode : str, optional<br>        Default preset mode for the stage signals (default: 'Real time')<br>    mode_signal : str, optional<br>        Preset mode signal attribute (default 'preset_mode')<br>    stop_signal : str, optional<br>        Stop signal attribute (default 'stop_all')<br>     | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| SitoroTest |  | [phoenix_bec.devices.sitoro](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/sitoro.py) |
| XMAPHDF5Plugins | <br>    HDF5 parameters for XMAP detector<br><br>    Base class to map EPICS PVs from HDF5 Plugin to ophyd signals.<br>     | [phoenix_bec.devices.xmap_phoenix_no_hdf5](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/xmap_phoenix_no_hdf5.py) |
| XMAPPhoenix | MCA<br>    XMAP detector for phoenix<br>        custom_prepare_cls (XMAPSetu<br>        custom_prepare_cls (XMAPSetup)        : Custom detector setup class for cSAXS,<br>                                                  inherits from CustomDetectorMixin<br>                                                  in __init__ of PSIDetecor base<br>        PSIDetectorBase.set_min_readout (float) : Minimum readout time for the detector<br>        dxp (EpicsDXPXMAP)                    : DXP parameters for XMAP detector<br>        mca (EpicsMCARecord)                    : MCA parameters for XMAP detector<br>        hdf5 (XMAPHDF5Plugins)                : HDF5 parameters for XMAP detector<br>        MIN_READOUT (float)                     : Minimum readout time for the detector<br>     | [phoenix_bec.devices.xmap_phoenix_no_hdf5](https://gitlab.psi.ch/bec/phoenix_bec/-/blob/main/phoenix_bec/devices/xmap_phoenix_no_hdf5.py) |
